#!/usr/bin/perl

use strict;
use SaX;

my $make_changes = ($ARGV[0] ne "-n");

my %section;
my @importID = ( $SaX::SAX_PATH );
my $config = new SaX::SaXConfig;
my $import;
foreach my $id (@importID) {
    $import = new SaX::SaXImport($id);
    $import->setSource($SaX::SAX_SYSTEM_CONFIG);
    $import->doImport();
    $config->addImport($import);
    $section{$import->getSectionName()} = $import;
}

my $mPath = new SaX::SaXManipulatePath($section{Path});
if (grep (/^dri$/, @{$mPath->getModules ()})) {
    exit 0;
}

if (!$make_changes) {
    exit 1;
}

$mPath->addLoadableModule("dri");

$config->setMode($SaX::SAX_MERGE);
$config->createConfiguration() || exit 1;
$config->commitConfiguration();
